Subject: bug#77928: closed (Re: bug#77928: [PATCH] use-package :custom-face is meant to behave like custom-set-face)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Apr 2025 07:52:02 +0000

Your bug report

#77928: [PATCH] use-package :custom-face is meant to behave like custom-set-face

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77928: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77928
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77928: [PATCH] use-package :custom-face is meant to behave like custom-set-face
From: Eli Zaretskii <[email-masked]>
To: Michael Shields <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 27 Apr 2025 10:50:50 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Michael Shields <[email-masked]>
> Date: Sat, 26 Apr 2025 13:35:42 -0700
> Cc: John Wiegley <[email-masked]>, [email-masked]
> 
> Attached is a combined patch with an updated commit message.
> 
> I cannot reproduce those test failures. I see 167/167 tests pass when I run `make -C test
> check-lisp-use-package'. I'm testing commit be4819b, plus the attached patch, on macOS 15.4.1.

Thanks, installed on the master branch, and closing the bug.

Subject: [PATCH] use-package :custom-face is meant to behave like custom-set-face
From: Michael Shields <[email-masked]>
To: [email-masked]
Date: Sat, 19 Apr 2025 13:41:01 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The attached patch fixes a bug where migrating a face spec from custom.el
to use-package :custom-face results in a surprising behavior change: the
new spec is overlaid on the default value instead of replacing it. This
seems to have been an unintended consequence of
https://github.com/jwiegley/use-package/issues/934.